hack4glarus-2019-summer - Task #6751

Create a new OpenBSD service: systemd
06/01/2019 11:35 AM - Nico Schottelius

Status: Closed Start date: 06/01/2019
Priority: Normal Due date:

Assignee: Reyk Floeter % Done: 100%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description
Designed and discussed by Moritz and me on the sunny bench:

systemd in openbsd should be used to ensure that systems are reliably working. For that reason, systemd will do the following
actions on random times:

Randomly delete files

Randomly delete directories

Randomly kill processes

Randomly write to (mounted) block devices

Randomly reboot

Randomly reorder/shuffle file content

Randomly rename files (i.e. replace /etc/passwd with /lib/libc.co)
Randomly move files around in the filesystem

Randomly change file and directory permissions

Randomly panic

Randomly connect to random IPv{6,4} addresses with tcp, udp, sctp
Randomly drop network packets

Randomly replay network packets

Randomly remove or add pf rules

Randomly add, change or remove DNS servers

Randomly change the time to change something random

¢ Randomly change the public ssh key (and back)

Might also need to be ported to FreeBSD.

History

#1 - 06/01/2019 12:07 PM - Nico Schottelius

- Description updated

#2 - 06/01/2019 01:15 PM - Nico Schottelius

- Description updated

#3 - 06/01/2019 01:15 PM - Nico Schottelius

- Description updated

#4 - 06/02/2019 08:43 PM - Nico Schottelius

- Status changed from New to Resolved

Thanks everyone for participating! It was great seeing all of you!

#5 - 06/02/2019 08:45 PM - Nico Schottelius

- Status changed from Resolved to Closed

#6 - 06/28/2019 01:42 PM - Reyk Floeter
- % Done changed from 0 to 100
https://github.com/reyk/systemd-openbsd

#7 - 06/28/2019 01:54 PM - Nico Schottelius

:+1: (doesn't work here, but you-know-what-i-mean)
https://github.com/reyk/systemd-openbsd
http://www.tcpdf.org

